> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد أعضاء المجموعة

> سرد أعضاء مجموعة مصادقة الحساب

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/auth/groups/{group_id}/members
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}/members:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: سرد أعضاء مجموعة مصادقة الحساب
      description: يسرد الأعضاء المباشرين لمجموعة مرتبطة بحساب المسار.
      operationId: >-
        list_public_account_auth_group_members_v1_public_accounts__account_id__auth_groups__group_id__members_get
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupMembersPageResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupMembersPageResponse:
      properties:
        account_id:
          format: uuid
          title: معرف الحساب
          type: string
        group_id:
          title: معرّف المجموعة
          type: string
        groups:
          items:
            $ref: '#/components/schemas/GroupResponse'
          title: مجموعات
          type: array
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: النطاقات المرتبطة
          type: array
        members:
          items:
            $ref: '#/components/schemas/GroupMemberResponse'
          title: أعضاء
          type: array
        page:
          title: الصفحة
          type: integer
        page_size:
          title: حجم الصفحة
          type: integer
        search:
          anyOf:
            - type: string
            - type: 'null'
          title: بحث
        total:
          title: الإجمالي
          type: integer
        users:
          items:
            $ref: '#/components/schemas/GroupMemberUserResponse'
          title: مستخدمون
          type: array
      required:
        - group_id
        - account_id
        - page
        - page_size
        - total
      title: GroupMembersPageResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    GroupResponse:
      properties:
        account_id:
          format: uuid
          title: معرف الحساب
          type: string
        attributes:
          additionalProperties:
            items:
              type: string
            type: array
          title: سمات
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: الوصف
        id:
          title: المعرّف
          type: string
        keycloak_account_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: معرّف حساب Keycloak
        keycloak_name:
          title: اسم Keycloak
          type: string
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: النطاقات المرتبطة
          type: array
        name:
          title: الاسم
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: معرّف الأصل
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: مسار
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        subgroup_ids:
          items:
            type: string
          title: معرّفات المجموعات الفرعية
          type: array
      required:
        - id
        - account_id
        - name
        - keycloak_name
      title: GroupResponse
      type: object
    GroupScopeLinkResponse:
      description: مخطط لنطاق الموارد المرتبط بمجموعة.
      properties:
        resource_id:
          format: uuid
          title: معرّف المورد
          type: string
        resource_type:
          title: نوع المورد
          type: string
      required:
        - resource_type
        - resource_id
      title: GroupScopeLinkResponse
      type: object
    GroupMemberResponse:
      description: إدخال عضو واحد مباشر في المجموعة.
      properties:
        group:
          anyOf:
            - $ref: '#/components/schemas/GroupResponse'
            - type: 'null'
        resolved:
          title: تم الحل
          type: boolean
        subject_id:
          title: معرّف الموضوع
          type: string
        subject_type:
          title: نوع الموضوع
          type: string
        user:
          anyOf:
            - $ref: '#/components/schemas/GroupMemberUserResponse'
            - type: 'null'
      required:
        - subject_type
        - subject_id
        - resolved
      title: GroupMemberResponse
      type: object
    GroupMemberUserResponse:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: البريد الإلكتروني
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: الاسم الأول
        id:
          title: المعرّف
          type: string
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: اسم العائلة
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: اسم المستخدم
      required:
        - id
      title: GroupMemberUserResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
    PermissionInspectabilitySnapshot:
      description: لقطة مشتركة لإمكانية الفحص لإدارة المستخدمين والمجموعة والدعوات.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: مفاتيح الحزم المعيّنة
          type: array
        direct_capability_keys:
          items:
            type: string
          title: مفاتيح الإمكانيات المباشرة
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: تعيينات المالك
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: مفاتيح الإمكانيات المحلولة
          type: array
        status:
          default: active
          title: الحالة
          type: string
        subject_id:
          default: ''
          title: معرّف الموضوع
          type: string
        subject_type:
          default: unknown
          title: نوع الموضوع
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    OwnerAssignmentSnapshot:
      description: مخطط يشير إلى علاقة مالك الحساب.
      properties:
        account_id:
          format: uuid
          title: معرف الحساب
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````